gqueue Struct Reference
adt gqueue: Generic simple queue.

`#include <gqueue.h>`

## Data Fields

struct gqueue_node * | head
struct gqueue_node * | tail
unsigned | count

## Detailed Description

Generic queue structure.

## Field Documentation

## count

unsigned gqueue::count

The number of items in the queue.

Referenced by gqueue_pop(), and gqueue_push().

## head

struct gqueue_node* gqueue::head

Pointer to the first item in the queue.

Referenced by gqueue_pop(), gqueue_push(), and gqueue_top().

## tail

struct gqueue_node* gqueue::tail

Pointer to the last item in the queue.

Referenced by gqueue_pop(), and gqueue_push().

The documentation for this struct was generated from the following file:

- gqueue.h